@import url('core/icons.css');
@import url('core/buttons.css');
@import url('core/badges.css');
@import url('core/forms.css');

/* Base page fade-in animation */
@keyframes fade {
    from {
        opacity: 0.4;
    }

    to {
        opacity: 1;
    }

}

body>*:not(header) {
    animation: fade 0.15s ease-out;
}

/* Base CSS */
:root {
    --primary: #155dfc;
    --primary-light: #63a4ff;
    --primary-dark: #0e4bbf;
    --secondary: #2d3748;
    --secondary-light: #4a5568;
    --secondary-dark: #1a202c;
    --error: #e53e3e;
    --error-light: #f56565;
    --error-dark: #c53030;
    --danger: #e53e3e;
    --danger-dark: #c53030;
    --success-dark: #2f9463;
    --success: #3bb273;
    --success-light: #68d391;
    --info: #3182ce;
    --info-light: #63b3ed;
    --info-dark: #2b6cb0;
    --warning: #dd6b20;
    --warning-light: #f6ad55;
    --warning-dark: #c05621;
    --white: #ffffff;
    --black: #000000;
    --gray-100: #f7fafc;
    --gray-200: #edf2f7;
    --gray-300: #e2e8f0;
    --gray-400: #cbd5e0;
    --gray-500: #a0aec0;
    --gray-600: #718096;
    --gray-700: #4a5568;
    --gray-800: #2d3748;
    --gray-900: #1a202c;
    --success: #38a169;
    --success-light: #68d391;
    --success-dark: #2f855a;
    --call-to-action: #ff6900;
    --call-to-action-light: #ff9f00;
    --call-to-action-dark: #f54a00;

    /* Screen Sizes */
    --screen-sm: 640px;
    --screen-md: 768px;
    --screen-lg: 1024px;
    --screen-xl: 1280px;
    --screen-2xl: 1536px;
    --screen-3xl: 1920px;
    --screen-4xl: 2560px;
    --screen-5xl: 3840px;

    /* File */
    --max-file-editor-height: 67vh;
}

body {
    font-family: "Inter", sans-serif;
    background-color: var(--gray-100);
    margin: 0;
}

/* Got some warning in the browser for headings in sections. Did this to shut it up. */
:where(section h1) {
    margin-bottom: 0.5rem;
    font-size: 2rem;
}

body.centered {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Helper classes */

/* Clean hyper links */
a.clean-link {
    color: inherit;
    text-decoration: none;
    cursor: pointer;

    &:hover {
        text-decoration: underline;
    }

    &:focus {
        outline: 2px solid var(--primary);
    }
}